Package net.commoble.exmachina.api

# Class ExMachinaGameEvents

java.lang.Object
net.commoble.exmachina.api.ExMachinaGameEvents

public final class ExMachinaGameEvents extends Object
The signal graph update event is used to inform the signal grapher that a graph update should occur. Only the position of this game event is used, blockstate/entity are ignored and should be assumed to be null.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent>`
`MECHANICAL_GRAPH_UPDATE_KEY`
minecraft:game_event / exmachina:mechanical_graph_update
`static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent>`
`SIGNAL_GRAPH_UPDATE_KEY`
minecraft:game_event / exmachina:signal_graph_update

## Method Summary

Modifier and Type
Method
Description
`static void`
`scheduleMechanicalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)`
Schedules a mechanical graph update to occur.
`static void`
`scheduleSignalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)`
Schedules a signal graph update to occur.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIGNAL_GRAPH_UPDATE_KEY

public static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent> SIGNAL_GRAPH_UPDATE_KEY
minecraft:game_event / exmachina:signal_graph_update

### MECHANICAL_GRAPH_UPDATE_KEY

public static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent> MECHANICAL_GRAPH_UPDATE_KEY
minecraft:game_event / exmachina:mechanical_graph_update

## Method Details

### scheduleSignalGraphUpdate

public static void scheduleSignalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)
Schedules a signal graph update to occur. Graph updates will occur at the end of the tick. This only has an effect on server levels, invoking this on client levels has no effect.

Parameters:
  `level` - LevelAccessor to schedule the graph update in
  `pos` - BlockPos to schedule the graph update at

### scheduleMechanicalGraphUpdate

public static void scheduleMechanicalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)
Schedules a mechanical graph update to occur. Graph updates will occur at the end of the tick. This only has an effect on server levels, invoking this on client levels has no effect.

Parameters:
  `level` - LevelAccessor to schedule the graph update in
  `pos` - BlockPos to schedule the graph update at